<?php
/**
*
* @author mtrs (mtrs) trst2007@gmail.com 
* @package umil
* @version $Id install_inactive_users.php 1.0.0 2009-07-03 23:29:18GMT mtrs $
* @copyright (c) 2009 mtrs 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/info_acp_anti_uppercase');

if (!file_exists($phpbb_root_path . 'umil/umil.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// We only allow a founder to install this MOD
if ($user->data['user_type'] != USER_FOUNDER)
{
	if ($user->data['user_id'] == ANONYMOUS)
	{
		login_box('', 'LOGIN');
	}

	trigger_error('NOT_AUTHORISED');
}

if (!class_exists('umil'))
{
	include($phpbb_root_path . 'umil/umil.' . $phpEx);
}

$umil = new umil(true);


if (confirm_box(true))
{
	// Update version info
	if ($umil->config_exists('aau_version'))
	{
		$umil->config_update('aau_version', '1.0.0');
	}	
	else
	{
		$umil->config_add('aau_version', '1.0.0', '0');
		
		$umil->config_add('aau_enable', '0', '0');

		$umil->config_add('aau_enable_subject', '0', '0');

		$umil->config_add('aau_enable_message', '0', '0');

		$umil->config_add('aau_uppercase_ratio', '80', '0');

		$umil->config_add('aau_posts_limit', '10', '0');

		$umil->config_add('aau_enable_correction', '0', '0');

		$umil->config_add('aau_repetition', '0', '0');

		$umil->config_add('aau_subject_uc_first', '0', '0');

	}
	//Addd user permission
	$umil->permission_add('u_ignore_uppercase');
	$umil->permission_add('u_check_uppercase');
	
	// Our final action, we purge the board cache
	$umil->cache_purge();
		
	// We are done
	$message = $user->lang['MOD_INSTALLED'];
	trigger_error($message);
}
else
{
	$message = $user->lang['INSTALL_ANTI_ALL_UPPERCASE'];
	
	confirm_box(false, $message);
}


?>